### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Enums.StatusEnum.Video
  commentId: T:adas_core.Domain.Enums.StatusEnum.Video
  id: StatusEnum.Video
  parent: adas_core.Domain.Enums
  children:
  - adas_core.Domain.Enums.StatusEnum.Video.Deleted
  - adas_core.Domain.Enums.StatusEnum.Video.Error
  - adas_core.Domain.Enums.StatusEnum.Video.Finished
  - adas_core.Domain.Enums.StatusEnum.Video.Initialized
  - adas_core.Domain.Enums.StatusEnum.Video.Paused
  - adas_core.Domain.Enums.StatusEnum.Video.Published
  - adas_core.Domain.Enums.StatusEnum.Video.Purged
  - adas_core.Domain.Enums.StatusEnum.Video.Recording
  - adas_core.Domain.Enums.StatusEnum.Video.Stopped
  langs:
  - csharp
  - vb
  name: StatusEnum.Video
  nameWithType: StatusEnum.Video
  fullName: adas_core.Domain.Enums.StatusEnum.Video
  type: Enum
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Video
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 46
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: public enum StatusEnum.Video
    content.vb: Public Enum StatusEnum.Video
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Enums.StatusEnum.Video.Initialized
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Initialized
  id: Initialized
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Initialized
  nameWithType: StatusEnum.Video.Initialized
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Initialized
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Initialized
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 48
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Initialized = 0
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Recording
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Recording
  id: Recording
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Recording
  nameWithType: StatusEnum.Video.Recording
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Recording
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Recording
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 49
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Recording = 1
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Paused
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Paused
  id: Paused
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Paused
  nameWithType: StatusEnum.Video.Paused
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Paused
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Paused
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 50
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Paused = 2
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Stopped
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Stopped
  id: Stopped
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Stopped
  nameWithType: StatusEnum.Video.Stopped
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Stopped
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Stopped
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 51
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Stopped = 3
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Finished
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Finished
  id: Finished
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Finished
  nameWithType: StatusEnum.Video.Finished
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Finished
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Finished
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 52
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Finished = 4
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Published
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Published
  id: Published
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Published
  nameWithType: StatusEnum.Video.Published
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Published
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Published
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 53
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Published = 5
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Deleted
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Deleted
  id: Deleted
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Deleted
  nameWithType: StatusEnum.Video.Deleted
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Deleted
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Deleted
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 54
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Deleted = 6
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Purged
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Purged
  id: Purged
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Purged
  nameWithType: StatusEnum.Video.Purged
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Purged
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Purged
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 55
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Purged = 7
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
- uid: adas_core.Domain.Enums.StatusEnum.Video.Error
  commentId: F:adas_core.Domain.Enums.StatusEnum.Video.Error
  id: Error
  parent: adas_core.Domain.Enums.StatusEnum.Video
  langs:
  - csharp
  - vb
  name: Error
  nameWithType: StatusEnum.Video.Error
  fullName: adas_core.Domain.Enums.StatusEnum.Video.Error
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/StatusEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Error
    path: ../../adas-core.Domain/Enums/StatusEnum.cs
    startLine: 56
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Error = 8
    return:
      type: adas_core.Domain.Enums.StatusEnum.Video
references:
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Enums.StatusEnum.Video
  commentId: T:adas_core.Domain.Enums.StatusEnum.Video
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.StatusEnum.html
  name: StatusEnum.Video
  nameWithType: StatusEnum.Video
  fullName: adas_core.Domain.Enums.StatusEnum.Video
  spec.csharp:
  - uid: adas_core.Domain.Enums.StatusEnum
    name: StatusEnum
    href: adas_core.Domain.Enums.StatusEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.StatusEnum.Video
    name: Video
    href: adas_core.Domain.Enums.StatusEnum.Video.html
  spec.vb:
  - uid: adas_core.Domain.Enums.StatusEnum
    name: StatusEnum
    href: adas_core.Domain.Enums.StatusEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.StatusEnum.Video
    name: Video
    href: adas_core.Domain.Enums.StatusEnum.Video.html
